#ifndef ASMFUNCS_H
#define ASMFUNCS_H

#ifdef __VSDSP__

void WriteToProgramRam(register __i0 addr,
		       register __a1 msB, register __a0 lsB);
u_int32 ReadFromProgramRam(register __i0 addr);
auto void Sleep(void);
auto void StereoCopy(register __i2 s_int16 *s, register __a0 u_int16 n);
auto void StereoCopy1053(register __i2 s_int16 *s, register __a0 u_int16 n);
auto void OldStereoCopy(register __i2 s_int16 *s, register __a0 u_int16 n);
auto void ToneCtl(const s_int16 register __i0 *d,
		  s_int16 register __a0 chan, s_int16 register __a1 num);
auto void Up1(register __i0 s_int16 *p, register __a0 u_int16 len);
auto void Down123(register __i0 s_int16 *p, register __a0 u_int16 len,
		  register __a1 u_int16 n);
auto void Up1Y(register __i0 __y s_int16 *p, register __a0 u_int16 len);
auto void DownNY(register __i0 __y s_int16 *p, register __a0 u_int16 len,
		  register __a1 u_int16 n);
auto s_int16 SatUp1(register __a0 s_int16 n);
auto s_int16 SatUp2(register __a0 s_int16 n);
auto u_int16 TestIRom(register __i0 u_int16 startAddr,
		      register __a1 u_int16 size);
auto u_int32 TestIRam(register __i0 u_int16 start,
		      register __i1 u_int16 len,
		      register __a u_int32 pat);
auto u_int16 TestXRam(register __i0 u_int16 start,
		      register __i1 u_int16 len,
		      register __a0 u_int16 pat);
auto u_int16 TestYRam(register __i0 u_int16 start,
		      register __i1 u_int16 len,
		      register __a0 u_int16 pat);
/* Y:upper word, X:lower word */
auto u_int32 TestXYRam(register __i0 u_int16 start,
		       register __i1 u_int16 len,
		       register __a u_int32 pat);
void Disable(void);	/* NOT auto */
void Enable(void);	/* NOT auto */

#endif

#endif
